## org.mortbay.jetty.servlet
Class AbstractSessionIdManager

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.servlet.AbstractSessionIdManager

All Implemented Interfaces:
  LifeCycle, SessionIdManager

    public abstract class AbstractSessionIdManager

extends AbstractLifeCycle
implements SessionIdManager

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected Random` `_random`
`protected Server` `_server`
`protected boolean` `_weakRandom`
`protected String` `_workerName`
`protected static String` `SESSION_ID_RANDOM_ALGORITHM`
`protected static String` `SESSION_ID_RANDOM_ALGORITHM_ALT`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`AbstractSessionIdManager(Server server)`
`AbstractSessionIdManager(Server server, Random random)`

Method Summary
`void` `doStart()`
`Random` `getRandom()`
`String` `getWorkerName()`
`void` `initRandom()` Set up a random number generator for the sessionids.
`String` `newSessionId(HttpServletRequest request, long created)` Create a new session id if necessary.
`void` `setRandom(Random random)`
`void` `setWorkerName(String name)`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, doStop, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mortbay.jetty.SessionIdManager
`addSession, getClusterId, getNodeId, idInUse, invalidateAll, removeSession`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### SESSION_ID_RANDOM_ALGORITHM

    protected static final String SESSION_ID_RANDOM_ALGORITHM

See Also:
  Constant Field Values

### SESSION_ID_RANDOM_ALGORITHM_ALT

    protected static final String SESSION_ID_RANDOM_ALGORITHM_ALT

See Also:
  Constant Field Values

### _random

    protected Random _random

### _weakRandom

    protected boolean _weakRandom

### _workerName

    protected String _workerName

### _server

    protected Server _server

Constructor Detail

### AbstractSessionIdManager

    public AbstractSessionIdManager(Server server)

### AbstractSessionIdManager

    public AbstractSessionIdManager(Server server,
                                    Random random)

Method Detail

### getWorkerName

    public String getWorkerName()

  Specified by:
    `getWorkerName` in interface `SessionIdManager`

### setWorkerName

    public void setWorkerName(String name)

### getRandom

    public Random getRandom()

### setRandom

    public void setRandom(Random random)

### newSessionId

    public String newSessionId(HttpServletRequest request,
                               long created)

  Create a new session id if necessary.

  Specified by:
    `newSessionId` in interface `SessionIdManager`
  Returns:
  See Also:
    `SessionIdManager.newSessionId(javax.servlet.http.HttpServletRequest, long)`

### doStart

    public void doStart()

  Overrides:
    `doStart` in class `AbstractLifeCycle`

### initRandom

    public void initRandom()

  Set up a random number generator for the sessionids. By preference, use a SecureRandom but allow to be injected.

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.